﻿using System;
using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.MVC.EJ;
using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //Assign the length of the series 
            int serCount = 2;
            ChartProperties chartModel = new ChartProperties();
            InitializeChart(chartModel, serCount);

            //Passing chart properties in the ViewData 
            ViewData["ChartModel"] = chartModel;
            return View();
        }

        private void InitializeChart(ChartProperties chartModel, int serCount)
        {
            Random r = new Random();
            for (int i = 0; i < serCount; i++)
            {
                Series series = new Series();
                series.Type = Syncfusion.JavaScript.DataVisualization.SeriesType.Column;             
                for(int j = 0; j < 10; j++)
                {
                    series.Points.Add(new Points(j.ToString(), r.Next(j * 5, 100)));
                }
                chartModel.Series.Add(series);
            }
        }
    }

}